SDL_CalculateGPUTextureFormatSize(3)

NAME
SDL_CalculateGPUTextureFormatSize - Calculate the size in bytes of a texture format with dimensions.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

Uint32 SDL_CalculateGPUTextureFormatSize(
    SDL_GPUTextureFormat format,
    Uint32 width,
    Uint32 height,
    Uint32 depth_or_layer_count);

FUNCTION PARAMETERS

format
    a texture format.

width
    width in pixels.

height
    height in pixels.

depth_or_layer_count
    depth for 3D textures or layer count otherwise.

RETURN VALUE
Returns the size of a texture with this format and dimensions.

AVAILABILITY
This function is available since SDL 3.2.0.